﻿// ------------------------------------------------------------
//  Copyright (c) Microsoft Corporation.  All rights reserved.
//  Licensed under the MIT License (MIT). See LICENSE in the repo root for license information.
// ------------------------------------------------------------

namespace Microsoft.OpenApi.OData.Capabilities
{
    /// <summary>
    /// Constant values for Capabilities Vocabulary
    /// </summary>
    internal class CapabilitiesConstants
    {
        /// <summary>
        /// The namespace of Capabilities annotation.
        /// </summary>
        public const string Namespace = "Org.OData.Capabilities.V1";

        /// <summary>
        /// Org.OData.Capabilities.V1.ChangeTracking
        /// </summary>
        public const string ChangeTracking = Namespace + ".ChangeTracking";

        /// <summary>
        /// Org.OData.Capabilities.V1.FilterRestrictions
        /// </summary>
        public const string FilterRestrictions = Namespace + ".FilterRestrictions";

        /// <summary>
        /// Org.OData.Capabilities.V1.SortRestrictions
        /// </summary>
        public const string SortRestrictions = Namespace + ".SortRestrictions";

        /// <summary>
        /// Org.OData.Capabilities.V1.NavigationRestrictions
        /// </summary>
        public const string NavigationRestrictions = Namespace + ".NavigationRestrictions";

        /// <summary>
        /// Org.OData.Capabilities.V1.SearchRestrictions
        /// </summary>
        public const string SearchRestrictions = Namespace + ".SearchRestrictions";

        /// <summary>
        /// Org.OData.Capabilities.V1.CountRestrictions
        /// </summary>
        public const string CountRestrictions = Namespace + ".CountRestrictions";

        /// <summary>
        /// Org.OData.Capabilities.V1.ExpandRestrictions
        /// </summary>
        public const string ExpandRestrictions = Namespace + ".ExpandRestrictions";

        /// <summary>
        /// Org.OData.Capabilities.V1.DeleteRestrictions
        /// </summary>
        public const string DeleteRestrictions = Namespace + ".DeleteRestrictions";

        /// <summary>
        /// Org.OData.Capabilities.V1.DeleteRestrictions
        /// </summary>
        public const string UpdateRestrictions = Namespace + ".UpdateRestrictions";

        /// <summary>
        /// Org.OData.Capabilities.V1.InsertRestrictions
        /// </summary>
        public const string InsertRestrictions = Namespace + ".InsertRestrictions";

        /// <summary>
        /// Org.OData.Capabilities.V1.TopSupported
        /// </summary>
        public const string TopSupported = Namespace + ".TopSupported";

        /// <summary>
        /// Org.OData.Capabilities.V1.SkipSupported
        /// </summary>
        public const string SkipSupported = Namespace + ".SkipSupported";

        /// <summary>
        /// Org.OData.Capabilities.V1.BatchSupported
        /// </summary>
        public const string BatchSupported = Namespace + ".BatchSupported";

        /// <summary>
        /// Org.OData.Capabilities.V1.IndexableByKey
        /// </summary>
        public const string IndexableByKey = Namespace + ".IndexableByKey";

        /// <summary>
        /// Org.OData.Capabilities.V1.KeyAsSegmentSupported
        /// </summary>
        public const string KeyAsSegmentSupported = Namespace + ".KeyAsSegmentSupported";
    }
}
